<section fxLayout="column" fxLayoutAlign="center center" fxFlexFill>
  <mat-card id="login-form">
    <mat-card-title fxLayout fxLayoutAlign="center center">Tenant Authentication</mat-card-title>
    <mat-card-content>
      <form (submit)="login()" fxLayout="column">
        <mat-form-field>
          <input matInput type="text"
                 id="name" name="name" placeholder="Name"
                 [(ngModel)]="tenant.name"
                 required />
        </mat-form-field>
        <mat-form-field>
          <mat-select [(value)]="tenant.type">
            <mat-option disabled>Type</mat-option>
            <mat-option *ngFor="let tenant of tenantTypes" [value]="tenant">{{ tenant }}</mat-option>
          </mat-select>
        </mat-form-field>
        <button mat-raised-button color="primary">Submit</button>
      </form>
    </mat-card-content>
  </mat-card>
</section>
